post
https://api.waltrex.io/wallets/private/v1/wallets//addresses
Generates a new address in a wallet for the specificied blockchain network.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Creates a new blockchain address within an existing wallet. You can either add a new address to a blockchain already associated with the wallet, or add a new blockchain to the wallet if supported.
Behavior and Address Derivation
- Addresses are derived using the appropriate MPC (Multi-Party Computation) key for the target blockchain.
- ECDSA-based chains: Bitcoin, Ethereum, Binance Smart Chain, etc.
- EdDSA-based chains: Solana
- The correct MPC key is automatically selected for you based on the blockchain.
- If no compatible key is available for the requested blockchain, the API will return an error
Blockchain-Specific Behavior
- UTXO-based blockchains (e.g., Bitcoin, Litecoin): Support creation of multiple unique addresses.
- EVM-based blockchains (e.g., Ethereum, Binance Smart Chain): All addresses created within the same wallet will share the same address, due to deterministic derivation from the same MPC key.
